Skip to main content

Angular Konva Images Tutorial

To display images with Konva in Angular, you can use the ng2-konva library with the Image component.

For full list of properties and methods, see the Konva API Reference.

Images Example

import { Component, OnInit } from '@angular/core';
import { StageConfig } from 'konva/lib/Stage';
import { ImageConfig } from 'konva/lib/shapes/Image';

import {
  CoreShapeComponent,
  StageComponent,
} from 'ng2-konva';

@Component({
  selector: 'app-root',
  template: `
    <ko-stage [config]="configStage">
      <ko-layer>
        <ko-image [config]="configImage"></ko-image>
      </ko-layer>
    </ko-stage>
  `,
  imports: [StageComponent, CoreShapeComponent],
})
export default class App implements OnInit {
  public configStage: StageConfig = {
    width: window.innerWidth,
    height: window.innerHeight,
  };
  public configImage: ImageConfig = {
    x: 50,
    y: 50,
    image: null,
    width: 100,
    height: 100
  };
  public image: any = null;

  ngOnInit() {
    const imageObj = new Image();
    imageObj.onload = () => {
      this.image = imageObj;
      this.configImage = { ...this.configImage, image: imageObj };
    };
    imageObj.src = 'https://konvajs.org/assets/yoda.jpg';
  }
}

Skip to main content

How to draw images on canvas with React?

To render image on canvas with react you can use the use-image hook.

import React from 'react';
import { Stage, Layer, Image } from 'react-konva';
import useImage from 'use-image';

const URLImage = ({ src, ...rest }) => {
  const [image] = useImage(src, 'anonymous');
  return <Image image={image} {...rest} />;
};

const App = () => {
  return (
    <Stage width={window.innerWidth} height={window.innerHeight}>
      <Layer>
        <URLImage src="https://konvajs.org/assets/yoda.jpg" x={150} />
      </Layer>
    </Stage>
  );
};

export default App;

Skip to main content

How to draw images on canvas with Vue?

For images, you can use the useImage hook from vue-konva to easily load and handle images in your components.

Instructions: The demo shows how to load and display multiple images on the canvas.

<template>
  <v-stage :config="stageSize">
    <v-layer>
      <v-image
        v-if="yodaImage"
        :config="{
          x: 50,
          y: 50,
          image: yodaImage,
          width: 106,
          height: 118
        }"
      />
      <v-image
        v-if="vaderImage"
        :config="{
          x: 200,
          y: 50,
          image: vaderImage,
          scaleX: 0.5,
          scaleY: 0.5,
          cornerRadius: 20
        }"
      />
    </v-layer>
  </v-stage>
</template>

<script setup>
import { useImage } from 'vue-konva';

const stageSize = {
  width: window.innerWidth,
  height: window.innerHeight
};

const [yodaImage] = useImage('https://konvajs.org/assets/yoda.jpg');
const [vaderImage] = useImage('https://konvajs.org/assets/darth-vader.jpg');
</script>